# Uses of Interface
org.apache.datasketches.quantilescommon.QuantilesLongsSketchIterator

Packages that use QuantilesLongsSketchIterator
Package
Description
org.apache.datasketches.kll
This package is for the implementations of the sketch algorithm developed by Zohar Karnin, Kevin Lang, and Edo Liberty that is commonly referred to as the "KLL" sketch after the authors' last names.
org.apache.datasketches.quantilescommon
This package contains common tools and methods for the quantiles, kll and req packages.

## Uses of QuantilesLongsSketchIterator in org.apache.datasketches.kll

Classes in org.apache.datasketches.kll that implement QuantilesLongsSketchIterator
Modifier and Type
Class
Description
`final class`
`KllLongsSketchIterator`
Iterator over KllLongsSketch.
Methods in org.apache.datasketches.kll that return QuantilesLongsSketchIterator
Modifier and Type
Method
Description
`QuantilesLongsSketchIterator`
KllLongsSketch.`iterator()`

## Uses of QuantilesLongsSketchIterator in org.apache.datasketches.quantilescommon

Methods in org.apache.datasketches.quantilescommon that return QuantilesLongsSketchIterator
Modifier and Type
Method
Description
`QuantilesLongsSketchIterator`
QuantilesLongsAPI.`iterator()`
Gets the iterator for this sketch, which is not sorted.